#ifndef __NLS_MESSAGE__
#define __NLS_MESSAGE__

#define LANG_UK 0  // English
#define LANG_BG 1  // Bulgarian with english letters
#define LANG_BW 2  // Bulgarian , CP1251
#define LANG_UN 3  // UNKNOWN

#define LAST_LANG 3 // last language ID, using for some checks 

#define ARRAYSIZE(a) (sizeof(a)/sizeof(a[0]))
#define MSG( a,b )   getmsgbycode( a, b )

struct Language
{
  int i_Code;           /* Language code */
  char* szLanguage;     /* String for this language */
};

struct NLSMessage
{
  int i_MsgCode;        /* Code of the message */
  int i_Code;           /* Language code */
  char* sz_Msg;         /* String for this language */
};

#define TEXT_UNKNOWN "Unknown msg"
// Language specific messages
extern struct NLSMessage arr_messages[];

// List of languages 
extern struct Language languages[];

// Message codes definition

#define MSG_WELCOME 		1
#define MSG_ACCSDND 		2
#define MSG_DISABLED		3
#define MSG_AMBIGOUS    	4
#define MSG_UNKNOWN     	5
#define MSG_COMMAND     	6
#define MSG_FORBNICK    	7	 
#define MSG_REGFRST		8
#define MSG_REGINTRO1		9
#define MSG_IDENTIFY1	       	10
#define MSG_IDENTIFY2          	11
#define MSG_NICKNOTUSE1        	12
#define MSG_NICKNOTUSE2        	13
#define MSG_IDENTIFY3          	14
#define MSG_IDENTIFY4          	15 
#define MSG_IDENTIFY5          	16
#define MSG_NEWMEMOS	       	17
#define MSG_IRCOPFLAG1         	18
#define MSG_IRCOPFLAG2         	19
#define MSG_NOHELPAVAIL	       	20
#define MSG_REGISTER1	       	21
#define MSG_MORE_INFO	       	22
#define MSG_ALR_REGISTERED     	23
#define MSG_REG_WAIT	    	24
#define MSG_LISTMEMOS		25
#define MSG_REG_FAILED		26
#define MSG_REGISTER2		27
#define MSG_REGISTER3		28
#define MSG_REGISTER4		29
#define MSG_NOTREGISTERED	30
#define MSG_DROP_SYNTAX		31
#define MSG_WRONG_PASS		32
#define MSG_NICK_DROPPED	33
#define MSG_IDENT_SINTAX	34
#define MSG_ALR_IDENTIFYED	35
#define MSG_IDENTIFY_OK		36
#define MSG_HOST_ADDED		37
#define MSG_RECV_SYNTAX		38
#define MSG_ALR_RECV		39
#define MSG_NOTONLINE		40
#define MSG_RECOVERED		41
#define MSG_NEEDRELEASE   	42
#define MSG_REL_SYNTAX		43
#define	MSG_CANT_ENFORCE	44
#define MSG_RELEASED		45
#define MSG_GHOST_SYNTAX	46
#define MSG_KILLED		47
#define MSG_ACCESS_SYNTAX       48
#define MSG_UNKN_SWITCH		49
#define MSG_ACCADD_SYNTAX1	50
#define MSG_ACCADD_SYNTAX2	52
#define MSG_LONGHOSTMASK	53
#define MSG_INVMASK		54
#define MSG_INVMASK2		55
#define MSG_MASKMATCH1		56
#define MSG_MASKMATCH2		57
#define MSG_MASKADDED1		58
#define MSG_MASKADDED2		59
#define MSG_ACCDEL_SYNTAX1	60
#define MSG_ACCDEL_SYNTAX2	61
#define MSG_HOST_DELETED1	62
#define MSG_HOST_DELETED2	63
#define MSG_HOST_NFOUND1	64
#define MSG_HOST_NFOUND2	65
#define MSG_ACCLIST_LOGO	66
#define MSG_ACCLIST_LOGO_END	67
#define MSG_SET_SYNTAX		68


#endif /* __NLS_MESSAGE__ */
